GET api/medistreamprogramstepapi/steps/{programId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"id": "4142c667-525f-4951-919f-47d55608f1ab",
"program_id": "702754fe-8ba1-4e2c-92bb-12213740ffbd",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "afd4ad80-cace-48ef-9d65-e6b2e2472ad9",
"active": true
},
{
"id": "4142c667-525f-4951-919f-47d55608f1ab",
"program_id": "702754fe-8ba1-4e2c-92bb-12213740ffbd",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "afd4ad80-cace-48ef-9d65-e6b2e2472ad9",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOfmedistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>4142c667-525f-4951-919f-47d55608f1ab</id>
<medistream_program_step_type_id>afd4ad80-cace-48ef-9d65-e6b2e2472ad9</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>702754fe-8ba1-4e2c-92bb-12213740ffbd</program_id>
</medistream_program_step>
<medistream_program_step>
<active>true</active>
<code>3</code>
<id>4142c667-525f-4951-919f-47d55608f1ab</id>
<medistream_program_step_type_id>afd4ad80-cace-48ef-9d65-e6b2e2472ad9</medistream_program_step_type_id>
<name>sample string 4</name>
<program_id>702754fe-8ba1-4e2c-92bb-12213740ffbd</program_id>
</medistream_program_step>
</ArrayOfmedistream_program_step>